/**
 *
 */
package org.gcube.datacatalogue.metadatadiscovery.bean.jaxb;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import org.gcube.datacatalogue.metadatadiscovery.adapter.TaggingGroupingAdapter;


/**
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Mar 21, 2017
 */
@XmlRootElement(name = "tagging")
@XmlAccessorType (XmlAccessType.FIELD)
public class MetadataTagging implements Serializable{

	@XmlAttribute
	private Boolean create = false;

	@XmlAttribute
	private String separator = ":";

    @XmlJavaTypeAdapter(TaggingGroupingAdapter.class)
	private TaggingGroupingValue taggingValue = null;

	/**
	 *
	 */
	private static final long serialVersionUID = 3853551415977545419L;

	/**
	 *
	 */
	public MetadataTagging() {
	}
}
