/**
 *
 */
package org.gcube.datacatalogue.metadatadiscovery.bean.jaxb;


/**
 * The Enum TaggingGroupingValue.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Mar 21, 2017
 */
public enum TaggingGroupingValue {

	onFieldName,
	onValue;

    /**
     * Value.
     *
     * @return the string
     */
    public String value() {
        return name();
    }


    /**
     * From value.
     *
     * @param v the v
     * @return the tagging grouping value
     */
    public static TaggingGroupingValue fromValue(String v) {
    	TaggingGroupingValue vv;
    	try{
    		vv = valueOf(v);
    	}catch(Exception e){
    		return TaggingGroupingValue.onValue;
    	}

    	return vv;
    }
}
