/**
 *
 */
package org.gcube.datacatalogue.metadatadiscovery.bean.jaxb;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import org.gcube.datacatalogue.metadatadiscovery.adapter.TaggingGroupingAdapter;


/**
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Mar 21, 2017
 */
@XmlRootElement(name = "grouping")
@XmlAccessorType (XmlAccessType.FIELD)
public class MetadataGrouping implements Serializable{

	/**
	 *
	 */
	private static final long serialVersionUID = 4684835556193102991L;

	@XmlAttribute
	private Boolean create = false;

    @XmlJavaTypeAdapter(TaggingGroupingAdapter.class)
	private TaggingGroupingValue groupingValue = null;

	/**
	 *
	 */
	public MetadataGrouping() {
	}
}
